Replace Service DNS Record
API server
https://app.coolify.io/api/v1Point the conflicting record from a 409 create response to the server of the service.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Service UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
hostname*string
A saved domain of the resource.
integration_token_uuid?string
Cloudflare token to use. Required when several tokens manage the zone of the hostname.
record_id*string
conflict.record_id from the 409 response of the create request.
current*string
conflict.current from the 409 response. The record is replaced only when it still has this value.
address?string
A public address of the server. Default: default_address of the DNS status.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/services/string/dns/replace" \ -H "Content-Type: application/json" \ -d '{ "hostname": "string", "record_id": "string", "current": "string" }'{ "record": { "uuid": "string", "hostname": "string", "type": "A", "address": "string", "owned": true, "integration_token_uuid": "string" }}Empty
{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}Empty
